import Panel from "../../Module/Panel";
import { _decorator, Button,  Node } from "cc";
import { observer, render } from "../store/decorators";

const {ccclass, property} = _decorator;

@observer
@ccclass('OpenSliver')
export default class OpenSliver extends Panel {

    static bundle = "OpenSliver";
    static skin = "OpenSliver";

    @property(Node) openSliverPop: Node = null;

    onLoad() {
        this.openSliverPop.on(Button.EventType.CLICK, this.clickClose);
    }

    async start() {
    }

    clickClose = () => {
        this.hidePanel();
    }
}
